Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.cs.api
Interface CSPermission

    public interface CSPermission

Interface `CSPermission` defines some constant values about permissions.

Field Summary
`static int` | `ALLOW` ALLOW the permission is allowed(1).
`static int` | `DELETE` DELETE the delete permission type(5).
`static int` | `DENY` DENY the permission is denied(0).
`static int` | `EXECUTE` EXECUTE the execute permissionv(3)
`static int` | `GRANT` GRANT the grant permission type(6).
`static int[]` | `permissionTypes` permissionTypes is an array contains permission types
`static int` | `READ` READ the read permission type(1).
`static int` | `SCHEDULE` SCHEDULE the schedule permission type(4)
`static java.lang.String` | `TAG_DELETE` TAG_DELETE the delete permission name(delete).
`static java.lang.String` | `TAG_EXECUTE` TAG_EXECUTE the execute permission name(execute)
`static java.lang.String` | `TAG_GRANT` TAG_GRANT the grant permission name(grant).
`static java.lang.String` | `TAG_READ` TAG_READ the read permission name(read).
`static java.lang.String` | `TAG_SCHEDULE` TAG_SCHEDULE the schedule permission name(schedule)
`static java.lang.String` | `TAG_VISIBLE` TAG_VISIBLE the visible permission name(visible).
`static java.lang.String` | `TAG_WRITE` TAG_WRITE the write permission name(write).
`static int` | `VISIBLE` VISIBLE the visible permission type(0).
`static int` | `WRITE` WRITE the write permission type(2).

Field Detail

### DENY

    static final int DENY

  DENY the permission is denied(0).

  See Also:
    Constant Field Values

### ALLOW

    static final int ALLOW

  ALLOW the permission is allowed(1).

  See Also:
    Constant Field Values

### TAG_VISIBLE

    static final java.lang.String TAG_VISIBLE

  TAG_VISIBLE the visible permission name(visible).

  See Also:
    Constant Field Values

### TAG_READ

    static final java.lang.String TAG_READ

  TAG_READ the read permission name(read).

  See Also:
    Constant Field Values

### TAG_WRITE

    static final java.lang.String TAG_WRITE

  TAG_WRITE the write permission name(write).

  See Also:
    Constant Field Values

### TAG_DELETE

    static final java.lang.String TAG_DELETE

  TAG_DELETE the delete permission name(delete).

  See Also:
    Constant Field Values

### TAG_EXECUTE

    static final java.lang.String TAG_EXECUTE

  TAG_EXECUTE the execute permission name(execute)

  See Also:
    Constant Field Values

### TAG_SCHEDULE

    static final java.lang.String TAG_SCHEDULE

  TAG_SCHEDULE the schedule permission name(schedule)

  See Also:
    Constant Field Values

### TAG_GRANT

    static final java.lang.String TAG_GRANT

  TAG_GRANT the grant permission name(grant).

  See Also:
    Constant Field Values

### VISIBLE

    static final int VISIBLE

  VISIBLE the visible permission type(0).

  See Also:
    Constant Field Values

### READ

    static final int READ

  READ the read permission type(1).

  See Also:
    Constant Field Values

### WRITE

    static final int WRITE

  WRITE the write permission type(2).

  See Also:
    Constant Field Values

### EXECUTE

    static final int EXECUTE

  EXECUTE the execute permissionv(3)

  See Also:
    Constant Field Values

### SCHEDULE

    static final int SCHEDULE

  SCHEDULE the schedule permission type(4)

  See Also:
    Constant Field Values

### DELETE

    static final int DELETE

  DELETE the delete permission type(5).

  See Also:
    Constant Field Values

### GRANT

    static final int GRANT

  GRANT the grant permission type(6).

  See Also:
    Constant Field Values

### permissionTypes

    static final int[] permissionTypes

  permissionTypes is an array contains permission types

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD